<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>La nostra scuola</title>
    <style>
        table{
            width: 60%;
            margin: auto;
            font-family: Arial, Helvetica, sans-serif;
        }
        table, tr, th, td{
            border: 1px solid #2e423b;
            padding: 10px;
            border-collapse: collapse;
        }
        th, td{
            text-align: left;
        }
        th{
            background-color: #87e8c4;
        }
        tr:nth-child(even){
            background-color: #ddffdd;
        }
    </style>
<body>
      
<?php
    //storing database details in variables.
    $hostname = "data-layer-service";
    $username = "root";
    $password = getenv('MYSQL_ROOT_PASSWORD');
    $dbname = "scuola";
            
    $con = mysqli_connect($hostname, $username, $password, $dbname);
    
    if(!$con)
    {
        die("Connessione fallita! Verificare parametri del server di database: " . mysqli_connect_error());
    }
    
    $sql = "SELECT nome,cognome,classe FROM allievi";
    
    $risultato = mysqli_query($con, $sql);
    if(mysqli_num_rows($risultato) > 0)
    {
       echo '<table> <tr> <th> Nome </th> <th> Cognome </th> <th> Classe </th> </tr>';
       while($riga = mysqli_fetch_assoc($risultato)){
           echo '<tr > <td>' . $riga["nome"] . '</td>
           <td>' . $riga["cognome"] . '</td>
           <td> ' . $riga["classe"] . '</td></tr>';
       }
       echo '</table>';
    }
    else
    {
        echo "Nessun risultato!";
    }
    mysqli_close($con);

?>
</body>
</html>

